resources:
  App\Entity\User\Info\CompanyInfoUpdateRequest:
    security: 'is_granted("ROLE_INTERNAL")'
    securityMessage: 'You are not authorized to access this resource.'
    normalizationContext:
      groups:
        - 'identifier:read'
        - 'time_trace:read'
        - 'company_info_update_request:read'
        - 'media_file:read'

    denormalizationContext:
      groups:
        - 'media_file:write'
        - 'company_info_update_request:write'

    operations:
      ApiPlatform\Metadata\GetCollection:
        filters: [ 'company_info_update_request.order_filter', 'company_info_update_request.search_filter' ]
        openapiContext:
          summary: CompanyInfoUpdateRequest - List - [INTERNAL USE ONLY].
          description: >
            Retrieves a list of CompanyInfoUpdateRequest
            <br>
            <br>
            **[INTERNAL USE ONLY]**
            <br>
            This operation is restricted to internal systems and authorized personnel only.
            Please ensure you have the necessary permissions before proceeding.
          security:
            - JWT: [ 'ROLE_INTERNAL' ]

      ApiPlatform\Metadata\Get:
        openapiContext:
          summary: CompanyInfoUpdateRequest - Item - [INTERNAL USE ONLY].
          description: >
            Retrieves a item of CompanyInfoUpdateRequest
            <br>
            <br>
            **[INTERNAL USE ONLY]**
            <br>
            This operation is restricted to internal systems and authorized personnel only.
            Please ensure you have the necessary permissions before proceeding.
          security:
            - JWT: [ 'ROLE_INTERNAL' ]

      ApiPlatform\Metadata\Post:
        inputFormats:
          json: [ 'application/json' ]
          multipart: [ 'multipart/form-data' ]
        openapiContext:
          summary: CompanyInfoUpdateRequest - Create - [INTERNAL USE ONLY].
          description: >
            Create an item of CompanyInfoUpdateRequest
            <br>
            <br>
            **[INTERNAL USE ONLY]**
            <br>
            This operation is restricted to internal systems and authorized personnel only.
            Please ensure you have the necessary permissions before proceeding.
          security:
            - JWT: [ 'ROLE_INTERNAL' ]

      ApiPlatform\Metadata\Put:
        inputFormats:
          json: [ 'application/json' ]
          multipart: [ 'multipart/form-data' ]
        openapiContext:
          summary: CompanyInfoUpdateRequest - Update - [INTERNAL USE ONLY].
          description: >
            Update an item of CompanyInfoUpdateRequest
            <br>
            <br>
            **[INTERNAL USE ONLY]**
            <br>
            This operation is restricted to internal systems and authorized personnel only.
            Please ensure you have the necessary permissions before proceeding.
          security:
            - JWT: [ 'ROLE_INTERNAL' ]

      ApiPlatform\Metadata\Delete:
        openapiContext:
          summary: CompanyInfoUpdateRequest - Delete - [INTERNAL USE ONLY].
          description: >
            Delete an item of CompanyInfoUpdateRequest
            <br>
            <br>
            **[INTERNAL USE ONLY]**
            <br>
            This operation is restricted to internal systems and authorized personnel only.
            Please ensure you have the necessary permissions before proceeding.
          security:
            - JWT: [ 'ROLE_INTERNAL' ]
